/// <inheritdoc />
        /// <summary>
        /// Called when Solid Edge raises the SolidEdgeFramework.ISEAddInEdgeBarEvents[Ex].AddPage() event.
        /// </summary>
        public override void OnCreateEdgeBarPage(EdgeBarController controller, SolidEdgeDocument document)
        {
            Log.Info("EdgeBarPage Created");
            // Get the document type of the passed in document.
            var documentType = document.Type;

            // Depending on the document type, you may have different edgebar controls.
            switch (documentType)
            {
            case DocumentTypeConstants.igAssemblyDocument:
                controller.Add <ItemCatalogEdgeBarController>(document, 1);
                break;

            case DocumentTypeConstants.igDraftDocument:
                break;

            case DocumentTypeConstants.igPartDocument:
                break;

            case DocumentTypeConstants.igSheetMetalDocument:
                break;

            case DocumentTypeConstants.igUnknownDocument:
                break;

            case DocumentTypeConstants.igWeldmentDocument:
                break;

            case DocumentTypeConstants.igWeldmentAssemblyDocument:
                break;

            case DocumentTypeConstants.igSyncPartDocument:
                break;

            case DocumentTypeConstants.igSyncSheetMetalDocument:
                break;

            case DocumentTypeConstants.igSyncAssemblyDocument:
                break;

            case DocumentTypeConstants.igAssemblyViewerDocument:
                break;

            case DocumentTypeConstants.igPartViewerDocument:
                break;

            default:
                throw new ArgumentOutOfRangeException();
            }
        }
예제 #2
0
 public override void OnCreateEdgeBarPage(EdgeBarController controller, SolidEdgeFramework.SolidEdgeDocument document)
 {
     controller.Add <MyEdgeBarControl>(document, 1);
     //controller.Add<MyEdgeBarControl2>(document, 1);
 }